PDA

View Full Version : Raspberry install error dependencies gt5-girder



MarBe
December 1st, 2015, 03:09 PM
Hi,
I have trouble with installing girder on raspberry with debian. I trying to do all steps, but on
sudo apt-get install girder
I get error

The following packages have unmet dependencies:
girder: Depends: gt5-girder (>=5.3.2-1) but it is not going to be installed
E: Unable to correct problems, you have help broken packages.

Thank you for help

Ron
December 3rd, 2015, 07:12 AM
A quick google says this: http://www.linuxquestions.org/questions/ubuntu-63/how-to-fix-broken-package-904637/

Not sure if that fixes this issue but it might.

MarBe
December 3rd, 2015, 07:54 AM
I tried it, but no success. The question is, I want to install girder 6, but the dependencies are from girder5?
Is there at instalation packet something wrong?
Thank you

Ron
December 3rd, 2015, 08:35 AM
I can install the package just fine. What OS are you on? Debian Wheezy or Jessie? What errors do you get following the instructions in that thread?

MarBe
December 3rd, 2015, 12:48 PM
I use latest 2015-11-21-raspbian-jessie. There are no errorrs after instructions in the thread, only after installing girder.

Ron
December 3rd, 2015, 01:06 PM
does this help:

http://www.promixis.com/forums/showthread.php?22103-Upgrade-Raspi-install

?

MarBe
December 3rd, 2015, 02:44 PM
I tried but no success. I get error Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the instable distribution that some rquired packages have not yet been created or been moved out of Incoming.

the folloving packages jave unmet dependencies:
girder : Depends: gt5-girder (>= 5.3.2-1) but it is not going to be installed E: Unable to cprrect problems, you have held broken packages.

Ron
December 3rd, 2015, 05:25 PM
It would have been awesome if apt-get would tell us what is blocking.

Next week I'll see if we can setup for Jessie building.

Ron
December 18th, 2015, 03:35 PM
We're working on the Jessie build now. We'll hopefully have something by next week.

MarBe
January 4th, 2016, 05:14 AM
Hi, I would like to ask you, if somethink new at version for Jessie. Thank you

Ron
January 4th, 2016, 08:02 AM
Sorry we have a Girder build on Jessie but are fighting with apt :(

It's been very busy and is looking like another busy week now.

MarBe
January 6th, 2016, 04:02 AM
OK, thanks, Im waiting on it. I hope, that some trouble with wheezy:
- hang on reboot,
- mmc0: timeout waiting on hardware interrupt - hang on booting,
can resolve new jessie